Properties Methods Events Direct Link

# Class Ext.Loader

Package: | Ext
Defined In: | Loader.js
Class: | Loader
Extends: | Object

This class is a singleton and cannot be created directly.

## Public Properties

Property | Defined By
--- | ---
| var : Object Loads a particular file from the fileList by index. This is used when preserving order | Loader
| var : Object Callback function which is called after each file has been loaded. This calls the callback passed to load once the fi... Callback function which is called after each file has been loaded. This calls the callback passed to load once the final file in the fileList has been loaded | Loader

## Public Methods

Method | Defined By
--- | ---

load( `Array fileList`, `Function callback`, `Object scope`, `Boolean preserveOrder` ) : void
Loads a given set of .js files. Calls the callback function when all files have been loaded Set preserveOrder to true...
Loads a given set of .js files. Calls the callback function when all files have been loaded Set preserveOrder to true to ensure non-parallel loading of files if load order is important
Parameters:

- `fileList` : Array
  Array of all files to load
- `callback` : Function
  Callback to call after all files have been loaded
- `scope` : Object
  The scope to call the callback in
- `preserveOrder` : Boolean
  True to make files load in serial, one after the other (defaults to false)

Returns:

- void

Loader

## Public Events

This class has no public events.